Summary: Low speed Stream common I/F driver for NGS System
Name: ymh-lsif_drv
Version: 0.0.19.1
Release: %{_hhl_build_id}.1
Group: System Environment/Kernel
License: GPL
Vendor: Yamaha Corporation
Source: lsif-drv-%{version}.tar.gz
Prefix: %{_hhl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root

%description
LSIF driver for NGS/Linux system.

Summary: Low speed Stream common I/F driver for NGS System
Group: System Environment/Kernel
AutoReqProv: no
%description -n %{name}
LSIF driver for NGS/Linux system.

%package -n %{name}-dev
Summary: Low speed Stream common I/F driver for NGS System
Group: System Environment/Kernel
AutoReqProv: no
%description -n %{name}-dev
LSIF driver for NGS/Linux system.


%prep
%setup -n lsif-drv-%{version}

%target_check

%build
%target_setup
cd src/
%make V=1 KDIR=%{_mvl_lsp_dir}/%{_ngs_lsp_name}/linux-2.6.10_mvl401

%install
%target_setup
rm -rf %{buildroot}
cd src/
make modules_install INSTALL_MOD_PATH=%{buildroot}%{_hhl_cross_target_dir}
cd ..

# for user apps
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv
install -m 755 include/lsif_api.h %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv/
install -m 755 include/lsif_hal_hid_if.h %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv/
install -m 755 include/lsif_hal_usbmidi_if.h %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv/

# for kernel drivers
install -d %{buildroot}%{_mvl_lsp_dir}/%{_ngs_lsp_name}/linux-2.6.10_mvl401/include/linux/yamaha/
install -m 755 include/lsif_recvcallback_api.h %{buildroot}%{_mvl_lsp_dir}/%{_ngs_lsp_name}/linux-2.6.10_mvl401/include/linux/yamaha/lsif_recvcallback_api.h

install -d %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/yamaha/lsif_drv
install -m 755 src/lsif_drv.ko %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/yamaha/lsif_drv/lsif_drv.ko

%clean
rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/yamaha/lsif_drv/lsif_drv.ko

%files -n %{name}-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv/lsif_api.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv/lsif_hal_hid_if.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/yamaha/lsif_drv/lsif_hal_usbmidi_if.h
%{_mvl_lsp_dir}/%{_ngs_lsp_name}/linux-2.6.10_mvl401/include/linux/yamaha/lsif_recvcallback_api.h

%changelog
* Fri Apr 19 2009 Yamaha Corporation
- Initial release.
