Summary: NXP ISP1761 Host Controller driver
Name: ymh-isp1761_host_drv
Version: 0.0.5
Release: %{_hhl_build_id}.1
Group: System Environment/Kernel
License: GPL
Vendor: Yamaha Corporation
Source: isp1761-host-drv-%{version}.tar.gz
Prefix: %{_hhl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root

%description
NXP ISP1761 Host Controller driver

Summary: NXP ISP1761 Host Controller driver
Group: System Environment/Kernel
AutoReqProv: no
%description -n %{name}
NXP ISP1761 Host Controller driver for NGS/Linux system.

%prep
%setup -n isp1761-host-drv-%{version}

%target_check

%build
%target_setup
cd src/
%make V=1 KDIR=%{_mvl_lsp_dir}/%{_ngs_lsp_name}/linux-2.6.10_mvl401

%install
%target_setup
rm -rf %{buildroot}

# for kernel drivers
install -d %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/kernel/drivers/usb/host
install -m 755 src/objs/pehci.ko %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/kernel/drivers/usb/host/pehci.ko
install -m 755 src/objs/hal_tx4939.ko %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/kernel/drivers/usb/host/hal_tx4939.ko

%clean
rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/kernel/drivers/usb/host/pehci.ko
%{_hhl_cross_target_dir}/lib/modules/%{_ngs_lsp_moddir}/kernel/drivers/usb/host/hal_tx4939.ko

%changelog
* Fri Oct 17 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Retrieved isp1761_hal_read32(). 
* Fri Oct 17 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Added the function to output eye packet. It's for testing USB port signal quality.
* Wed Oct 8 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Added bus-power resetting method.
* Fri Oct 3 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Fixed bug, invalid value is setted into H/W mode register when changing the bus width.
* Mon Aug 4 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Initial release for S84X.
- (This is the new USB host controller driver for S84X. The driver requires exclusive use for some drivers, Linux standard EHCI/OHCI drivers and mLAN16E2 driver, for sharing IRQ line and local bus layout.)
